# Non multi-threading (non-MT) fast eviction-based attack

# Usage: see README (step 3) in the top level 
# Authors: 
# Shuwen Deng (shuwen.deng@yale.edu)
# Bowen Huang (bowen.huang@yale.edu)
# Jakub Szefer (jakub.szefer@yale.edu)
import sys
dsb=1;
mite=1;
dsbmiss=1;
cycles=1;
instructions=1;
total=1;
penalty=1;
l1miss=1;
l1iaccess=1;
l1dmiss=1;
uop_issue=1;
uop_retire=1;
retire_slots=1;
ms_switch=1;
l1dloads=1;
l1dstores=1;
power_pkg=1;
power_ram=1;
lsd_uops=1;
seconds=1;
for line in reversed(open("asse_loop.txt").readlines()): 
	if "idq.dsb_uops" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				dsb=i.replace(",","")
				break
	elif "energy-pkg" in line:
		# print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "." in i or i.isdigit():
				print (i.replace(",",""))
				power_pkg=i.replace(",","")
				break

	elif "energy-ram" in line:
		# print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "." in i or i.isdigit():
				print (i.replace(",",""))
				power_ram=i.replace(",","")
				break

	elif "lsd.uops" in line:
		# print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				lsd_uops=i.replace(",","")
				break
	elif "idq.mite_uops" in line: 
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				mite=i.replace(",","")
				break	
		
	elif "frontend_retired.dsb_miss" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				dsbmiss=i.replace(",","")
				break

	elif "instructions" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				instructions=i.replace(",","")
				break

	elif "dsb2mite" in line: 
		#print (line) 
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				penalty=i.replace(",","")
				break

	elif "L1-icache-load-misses" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				l1miss=i.replace(",","")
				break

	elif "r0183" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				l1iaccess=i.replace(",","") 
				break

	elif "L1-dcache-load-misses" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				l1dmiss=i.replace(",","")
				break

	elif "L1-dcache-loads" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				l1dloads=i.replace(",","")
				break

	elif "L1-dcache-stores" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				l1dstores=i.replace(",","")
				break

	elif "010e" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				uop_issue=i.replace(",","")
				break

	elif "10c2" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				uop_retire=i.replace(",","")
				break

	elif "02c2" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				retire_slots=i.replace(",","")
				break

	elif "3079" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				ms_switch=i.replace(",","")
				break

	elif "cycles" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "," in i or i.isdigit():
				print (i.replace(",",""))
				cycles=i.replace(",","")
				break
	

	elif "seconds time elapsed" in line:
		#print (line)
		total+=1
		l1=list(dict.fromkeys(line.rstrip().split(" ")))
		for i in l1:
			if "." in i or i.isdigit():
				print (i.replace(",",""))
				seconds=i
				break


	






timing=0
timing1=open("run_temp.txt").readlines()[0].rstrip()
power_pkg=int(open("run_temp.txt").readlines()[2].rstrip())-int(open("run_temp.txt").readlines()[1].rstrip())
power_ram=float(power_pkg)/float(timing1)
power_seconds=float(power_pkg)/float(seconds)/1000000
f = open(sys.argv[1], "a")





timing_array=[] 
power_ram_array=[]

f.write("0\t"+timing1+"\t"+"0"+"\t"+"0"+"\t"+"0"+"\t"+str(dsb)+"\t"+str(mite)+"\t"+str(cycles)+"\t"+str(instructions)\
+"\t"+str(float(instructions)/float(cycles))+"\t"+str(power_ram)+"\t"+str(power_seconds)+"\t"+str(seconds) 
+"\n")




for i in range(1, int(sys.argv[2])*2+1):
	timing_tmp=open("run_temp.txt").readlines()[i].rstrip() 
	timing_array.append(timing_tmp)


print(int(sys.argv[2]), len(timing_array), len(power_ram_array))

for i in range(int(sys.argv[2])*2):
   # print(timing_array[i*2]+"\t"+str(power_ram_array[i*2])+"\t"+timing_array[i*2+1]+"\t"+str(power_ram_array[i*2+1])) 	
   f.write("0\t"+timing_array[i]+"\n") 


f.close()


