# Multi-threading (non-MT) eviction-based attack

# Usage: see README (step 4) in the top level 
# Authors: 
# Shuwen Deng (shuwen.deng@yale.edu)
# Bowen Huang (bowen.huang@yale.edu)
# Jakub Szefer (jakub.szefer@yale.edu)

import sys

res_1 = []
res_2 = []
x=[]
count=0
jmp_count=1;
jmp_num=int(sys.argv[2]) 
interval = 32
set_order=int(sys.argv[1])
inc_set=int(sys.argv[3])
input_extra_set=int(sys.argv[4])

r0=int(sys.argv[5])
r1=int(sys.argv[6])
r2=int(sys.argv[7])
r3=int(sys.argv[8])

has_jump=sys.argv[9]


filename_list=['encl_0224.cxx', 'main_0519.cxx']
filename_w_list=['Enclave/encl.c', 'main.c']
count_list=[180, 420]
prepared_number=[2**(r0), 2**(r1), 2**(r2), 2**(r3)] 
cross_interval = [prepared_number[0], prepared_number[1]-prepared_number[0], prepared_number[0], \
            prepared_number[2]-prepared_number[0]-prepared_number[1], prepared_number[0], prepared_number[1]-prepared_number[0], prepared_number[0],
            prepared_number[3]-prepared_number[2]-prepared_number[1]-prepared_number[0], prepared_number[0], prepared_number[1]-prepared_number[0], prepared_number[0], \
            prepared_number[2]-prepared_number[0]-prepared_number[1], prepared_number[0], prepared_number[1]-prepared_number[0], prepared_number[0]]
added_interval = [prepared_number[0], prepared_number[1], prepared_number[1]+prepared_number[0], prepared_number[2], \
            prepared_number[2]+prepared_number[0],prepared_number[2]+prepared_number[1], prepared_number[2]+prepared_number[1]+prepared_number[0], prepared_number[3],
            prepared_number[3]+prepared_number[0], prepared_number[3]+prepared_number[1], prepared_number[3]+prepared_number[1]+prepared_number[0], prepared_number[3]+prepared_number[2], \
            prepared_number[3]+prepared_number[2]+prepared_number[0],prepared_number[3]+prepared_number[2]+prepared_number[1], prepared_number[3]+prepared_number[2]+prepared_number[1]+prepared_number[0]]


plain_jump=0
receiver_plain_jump=0
if_not_map=0
num_of_unmap=1 +int(sys.argv[10]) +1 
initial_offset_set_back=-117 
for file_index in range(2):
    count=0
    outF = open(filename_w_list[file_index], "w")
    with open(filename_list[file_index]) as infile:
        for line in infile:            #Iterate each line  
            extra_set=15  
            if_g=0   
            if_manual_add=0 
            if_has_function=0     
            address_hex=0x000000A3+384+(11+set_order+3)*32-8+3-377+inc_set*32+1+43-23-2 -17 -115+6-31 +0 +192+8896+32*32*24+32+26592 - (8-4)*32*32*8-32*32 +24832 - 256 - (3104 - 32)*extra_set + 48*if_g +416*if_manual_add*if_has_function-1024 +1024*3 +11264  +32*if_not_map -initial_offset_set_back*32   -8928-8192+17408-1204+180 -19456 
            hex0="{0:#0{1}x}".format(address_hex&0xff,4)
            hex1="{0:#0{1}x}".format((address_hex>>8)&0xff,4)
            hex2="{0:#0{1}x}".format((address_hex>>16)&0xff,4)
            hex3="{0:#0{1}x}".format((address_hex>>24)&0xff,4)
            address_hex2=0x000000A3-384+(11+1+3)*32-8+3-377+inc_set*32+1+43-23-2 -17 -115+6-31 +0 +192+1088 +416*if_manual_add  -initial_offset_set_back*32  +2816 -650  +10 
            hex02="{0:#0{1}x}".format(address_hex2&0xff,4)
            hex12="{0:#0{1}x}".format((address_hex2>>8)&0xff,4)
            hex22="{0:#0{1}x}".format((address_hex2>>16)&0xff,4)
            hex32="{0:#0{1}x}".format((address_hex2>>24)&0xff,4)

            address_hex3=0x000000A3-384+(11+1+3)*32-8+3-377+inc_set*32+1+43-23-2 -17 -115+6-31 +0 +192+1088 +416*if_manual_add-32 +32*num_of_unmap  -initial_offset_set_back*32  +2816 +10 -650-32 
            hex03="{0:#0{1}x}".format(address_hex3&0xff,4)
            hex13="{0:#0{1}x}".format((address_hex3>>8)&0xff,4)
            hex23="{0:#0{1}x}".format((address_hex3>>16)&0xff,4)
            hex33="{0:#0{1}x}".format((address_hex3>>24)&0xff,4)

            address_hex4=12
            hex04="{0:#0{1}x}".format(address_hex4&0xff,4)
            hex14="{0:#0{1}x}".format((address_hex4>>8)&0xff,4)
            hex24="{0:#0{1}x}".format((address_hex4>>16)&0xff,4)
            hex34="{0:#0{1}x}".format((address_hex4>>24)&0xff,4)

            nop1_num=5+6;nop2_num=6
            if if_g==0:
                nop1_num=5;nop2_num=40
            added_nop="\"nop\\n\""*(5+416*if_has_function+314-2     +2889   +63 +16) 
            nop2_value=40-38
            if "nojump" in has_jump:
                nop2_value=45
            added_nop2="\"nop\\n\""*(nop2_value)
            added_nop5="\"nop\\n\""*(2-1+16-5     -15+32+(1-file_index)*3*(1-plain_jump)) 
            if "//addr1" in line:
                outF.write("			    \".byte "+hex0+" \\n\" //addr1\n");
            elif "//addr2" in line:
                outF.write("			    \".byte "+hex1+" \\n\" //addr2\n");
            elif "//addr3" in line:
                outF.write("			    \".byte "+hex2+" \\n\" //addr3\n");
            elif "//addr4" in line:
                outF.write("			    \".byte "+hex3+" \\n\" //addr4\n");
            elif "//addr5" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex02+" \\n\" //addr5\n");
            elif "//addr6" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex12+" \\n\" //addr6\n");
            elif "//addr7" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex22+" \\n\" //addr7\n");
            elif "//addr8" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex32+" \\n\" //addr8\n");
            elif "//addrA" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex03+" \\n\" //addrA\n");
            elif "//addrB" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex13+" \\n\" //addrB\n");
            elif "//addrC" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex23+" \\n\" //addrC\n");
            elif "//addrD" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex33+" \\n\" //addrD\n");
            elif "//addrE" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex04+" \\n\" //addrE\n");
            elif "//addrF" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex14+" \\n\" //addrF\n");
            elif "//addrG" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex24+" \\n\" //addrG\n");
            elif "//addrH" in line and not ("nojump" in has_jump):
                outF.write("			    \".byte "+hex34+" \\n\" //addrH\n");
            elif "// insert nop1" in line:
                outF.write("			asm volatile (" +added_nop+ ");// insert nop1\n");
            elif "// insert nop2" in line:
                outF.write("			asm volatile (" +added_nop2+ ");// insert nop2\n");
            elif "// insert nop3" in line: 
                added_nop3="\"nop\\n\""*(70  -32        -7-10+(1-file_index)*(431+29*plain_jump)) 
                outF.write("			asm volatile (" +added_nop3+ ");// insert nop3\n");
            elif "// insert nop5" in line:
                outF.write("			asm volatile (" +added_nop5+ ");// insert nop5\n");
            elif "CPU_SET" in line and "&attacker_set" in line:
                outF.write("  CPU_SET("+sys.argv[11]+",&attacker_set);\n");
            else:
                outF.write(line)

        
            jump_interval=32
            # change receiver
            jump_index=[
            539+interval*(jump_interval)*(jmp_num-1)+1*32-8+3*32+3-377+inc_set*32+1+43-23-2-17-115+6-31+192+1088+50400 - (8-4)*32*32*8 +32*32*7-32*32*(jmp_num-1)+24832- 3104*extra_set +416*if_manual_add-640+1664-1408-1024+1024*3+11264                    +32*if_not_map   -initial_offset_set_back*32 +2816-8912+720       +29-674-5+42-32     +8192,            
            539+interval*(jump_interval)*(jmp_num-1)+set_order*32-8+3*32+3-377+inc_set*32+1+43-23-2-17-115+6-31+192+8605+291+32*32*24+32+76992 - (8-4)*32*32*8 + 32*32*6 - (8-jmp_num)*32*32*8 -32*32*(jmp_num-1)+24832- 3104*extra_set - 32*32*(8+extra_set)*(jmp_num-1) +48*if_g+640-1664+1408-1024+16384*(jmp_num-1)+1024*3+added_interval[jmp_num+1]-added_interval[2]+10240-1024*(jmp_num-2)  -initial_offset_set_back*32 +288-1024 -19456] 
            jmp_num_list=[3, jmp_num] 
            pre_len=20
            inner_jump_count=1 

            if count==count_list[file_index]: 

                print("file is, ", filename_w_list[file_index])
                set_num=0
                if file_index==1:
                    set_num=1

                if 1:
                    outF.write("int assist_funct_set"+str(set_num+1)+"(void){\n");  
                    if not(set_num==1 and extra_set==16):
                        outF.write("    asm __volatile (\n");

                    for j in range((1-set_num)*((11+1+3)*32-8+3-377+inc_set*32+1+43-23-115+6-31+19-26+56+set_num*(164+768+32+25) - set_num*(8-jmp_num)*32*32*8 + 12*(1-set_num)*(if_g)-31*(1-set_num)*(1-if_g) +416*if_manual_add*if_has_function- if_manual_add*(1-if_has_function) +1*if_manual_add -11 - 7+92-7 -initial_offset_set_back*32  -686-(13)*(1-plain_jump)    +5)+set_num*(960+(set_order-1)*32-32*num_of_unmap+32-19456-30+6-(555-65+37)*(1-receiver_plain_jump)   +146)-150+17408+(set_num)*(3744-1824+32)-(1-set_num)*(13510+16)): 
                        outF.write("		\".byte 0x90 \\n\"//mov\n");


                    if (set_num==1 and extra_set!=16):
                        for j in range(25): 
                            outF.write("		\".byte 0x90 \\n\"//mov\n");

                    for j in range((32*if_not_map )*set_num): 
                        outF.write("		\".byte 0x90 \\n\"//mov\n");
                    
                    for inner_set_num in range(inner_jump_count):
                        
                        extra_nop=0
                        if set_num==1 and inner_set_num==0:
                            extra_nop=15-extra_set 
                        if inner_set_num>0 or set_num==1: 
                            # print(extra_nop, jump_interval*(1+extra_nop)-pre_len-5)
                            for j in range(jump_interval*(1+extra_nop)-pre_len-5): 
                                    outF.write("		\".byte 0x90 \\n\"//mov\n"); 

                            if not (set_num==1 and inner_set_num==0 and extra_set==16):
                                outF.write("        );  \n");
                            
                            outF.write("        asm __volatile (\n");

                        outF.write("            \"mov    $3, %%eax \\n\" //2\n");
                        outF.write("            \"mov    $3, %%ecx \\n\" //2\n"); 
                        outF.write("        :::);  \n");
                        outF.write("        asm __volatile (\n");
                        outF.write("		\".byte 0xbb \\n\"\n");
                        outF.write("		\".byte 0x01 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\" // mov ebx\n");
                        outF.write("		\".byte 0xba \\n\"\n");
                        outF.write("		\".byte 0x01 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\" // mov edx\n");

                        
            
                        print("loop number is, ", jmp_num_list[set_num]-1, set_num, jmp_num, jmp_num_list)
                        for i in range(jmp_num_list[set_num]-1):
                            outF.write("\n		\".byte 0xe9 \\n\"\n");
                            original=0x00000000; 
                            curr=original+(cross_interval[i+jmp_num_list[0]*set_num]-pre_len-5) 
                            hex0="{0:#0{1}x}".format(curr&0xff,4)
                            hex1="{0:#0{1}x}".format((curr>>8)&0xff,4)
                            hex2="{0:#0{1}x}".format((curr>>16)&0xff,4)
                            hex3="{0:#0{1}x}".format((curr>>24)&0xff,4)
                            outF.write("		\".byte "+hex0+" \\n\"\n");
                            outF.write("		\".byte "+hex1+" \\n\"\n");
                            outF.write("		\".byte "+hex2+" \\n\"\n");
                            outF.write("		\".byte "+hex3+" \\n\"\n");
                            tmp_nop=0


                            # insert another set's access
                            if set_num==0:
                                for j in range(jump_interval*(1)-pre_len-5+32*(num_of_unmap-1)): 
                                    outF.write("		\".byte 0x90 \\n\"//mov\n"); 
                                outF.write("            \"mov    $3, %%eax \\n\" //2\n");
                                outF.write("            \"mov    $3, %%ecx \\n\" //2\n"); 
                                outF.write("        :::);  \n");
                                outF.write("        asm __volatile (\n");
                                outF.write("		\".byte 0xbb \\n\"\n");
                                outF.write("		\".byte 0x01 \\n\"\n");
                                outF.write("		\".byte 0x00 \\n\"\n");
                                outF.write("		\".byte 0x00 \\n\"\n");
                                outF.write("		\".byte 0x00 \\n\" // mov ebx\n");
                                outF.write("		\".byte 0xba \\n\"\n");
                                outF.write("		\".byte 0x01 \\n\"\n");
                                outF.write("		\".byte 0x00 \\n\"\n");
                                outF.write("		\".byte 0x00 \\n\"\n");
                                outF.write("		\".byte 0x00 \\n\" // mov edx\n");

                                outF.write("\n		\".byte 0xe9 \\n\"\n");
                                original=0x00000000; #7;
                                curr=original+(cross_interval[i+jmp_num_list[0]*set_num]-pre_len-5) 
                                hex0="{0:#0{1}x}".format(curr&0xff,4)
                                hex1="{0:#0{1}x}".format((curr>>8)&0xff,4)
                                hex2="{0:#0{1}x}".format((curr>>16)&0xff,4)
                                hex3="{0:#0{1}x}".format((curr>>24)&0xff,4)
                                outF.write("		\".byte "+hex0+" \\n\"\n");
                                outF.write("		\".byte "+hex1+" \\n\"\n");
                                outF.write("		\".byte "+hex2+" \\n\"\n");
                                outF.write("		\".byte "+hex3+" \\n\"\n");



                            another_set_length=(32*num_of_unmap)*(1-set_num)
                            print("nop length: ", cross_interval[i+jmp_num_list[0]*set_num]-pre_len-5-another_set_length, "i is ", i, jmp_num_list[set_num]-1, another_set_length, cross_interval[i+jmp_num_list[0]*set_num])
                            for j in range(cross_interval[i+jmp_num_list[0]*set_num]-pre_len-5-another_set_length): 
                                outF.write("		\".byte 0x90 \\n\"//mov\n");  
                            outF.write("        );  \n");
                            outF.write("        asm __volatile (\n");
                            outF.write("            \"mov    $3, %%eax \\n\" //2\n");
                            outF.write("            \"mov    $3, %%ecx \\n\" //2\n"); 
                            outF.write("        :::);  \n");
                            outF.write("        asm __volatile (\n");
                            outF.write("		\".byte 0xbb \\n\"\n");
                            outF.write("		\".byte 0x01 \\n\"\n");
                            outF.write("		\".byte 0x00 \\n\"\n");
                            outF.write("		\".byte 0x00 \\n\"\n");
                            outF.write("		\".byte 0x00 \\n\" // mov ebx\n");
                            outF.write("		\".byte 0xba \\n\"\n");
                            outF.write("		\".byte 0x01 \\n\"\n");
                            outF.write("		\".byte 0x00 \\n\"\n");
                            outF.write("		\".byte 0x00 \\n\"\n");
                            outF.write("		\".byte 0x00 \\n\" // mov edx\n");

                        
                        if inner_set_num < inner_jump_count-1: 
                            outF.write("\n		\".byte 0xe9 \\n\" //final jump\n");
                            original=0x00000000; 
                            curr=original+(cross_interval[(jmp_num_list[set_num]-1)]-pre_len-5) 
                            hex0="{0:#0{1}x}".format(curr&0xff,4)
                            hex1="{0:#0{1}x}".format((curr>>8)&0xff,4)
                            hex2="{0:#0{1}x}".format((curr>>16)&0xff,4)
                            hex3="{0:#0{1}x}".format((curr>>24)&0xff,4)
                            outF.write("		\".byte "+hex0+" \\n\"\n");
                            outF.write("		\".byte "+hex1+" \\n\"\n");
                            outF.write("		\".byte "+hex2+" \\n\"\n");
                            outF.write("		\".byte "+hex3+" \\n\"\n");

                    outF.write("\n		\".byte 0xe9 \\n\" //final jump\n");
                    original=0xffffffff; 
                    curr=original-jump_index[set_num]
                    hex0="{0:#0{1}x}".format(curr&0xff,4)
                    hex1="{0:#0{1}x}".format((curr>>8)&0xff,4)
                    hex2="{0:#0{1}x}".format((curr>>16)&0xff,4)
                    hex3="{0:#0{1}x}".format((curr>>24)&0xff,4)
                    outF.write("		\".byte "+hex0+" \\n\"\n");
                    outF.write("		\".byte "+hex1+" \\n\"\n");
                    outF.write("		\".byte "+hex2+" \\n\"\n");
                    outF.write("		\".byte "+hex3+" \\n\"\n");



                    # insert another set's access
                    if set_num==0:
                        for j in range(jump_interval*(1)-pre_len-5+32*(num_of_unmap-1)): 
                            outF.write("		\".byte 0x90 \\n\"//mov\n"); 
                        outF.write("            \"mov    $3, %%eax \\n\" //2\n");
                        outF.write("            \"mov    $3, %%ecx \\n\" //2\n"); 
                        outF.write("        :::);  \n");
                        outF.write("        asm __volatile (\n");
                        outF.write("		\".byte 0xbb \\n\"\n");
                        outF.write("		\".byte 0x01 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\" // mov ebx\n");
                        outF.write("		\".byte 0xba \\n\"\n");
                        outF.write("		\".byte 0x01 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\" // mov edx\n");

                        outF.write("\n		\".byte 0xe9 \\n\"\n");
                        original=0xffffffff; 
                        curr=original-jump_index[set_num]-32*(num_of_unmap-1)+32
                        hex0="{0:#0{1}x}".format(curr&0xff,4)
                        hex1="{0:#0{1}x}".format((curr>>8)&0xff,4)
                        hex2="{0:#0{1}x}".format((curr>>16)&0xff,4)
                        hex3="{0:#0{1}x}".format((curr>>24)&0xff,4)
                        outF.write("		\".byte "+hex0+" \\n\"\n");
                        outF.write("		\".byte "+hex1+" \\n\"\n");
                        outF.write("		\".byte "+hex2+" \\n\"\n");
                        outF.write("		\".byte "+hex3+" \\n\"\n");




                    outF.write("    );\n");  
                    outF.write("}\n\n"); 


            count+=1



infile.close()
outF.close()
