#include "encl_u.h"
#include <errno.h>

static const struct {
	size_t nr_ocall;
	void * table[1];
} ocall_table_encl = {
	0,
	{ NULL },
};
sgx_status_t ecall_secret_lookup(sgx_enclave_id_t eid)
{
	sgx_status_t status;
	status = sgx_ecall(eid, 0, &ocall_table_encl, NULL);
	return status;
}

sgx_status_t ecall_secret_lookup_notmap(sgx_enclave_id_t eid)
{
	sgx_status_t status;
	status = sgx_ecall(eid, 1, &ocall_table_encl, NULL);
	return status;
}

